Package be.ehealth.businessconnector.dmg.builders.impl

# Class ResponseObjectBuilderImpl

java.lang.Object
be.ehealth.businessconnector.dmg.builders.impl.ResponseObjectBuilderImpl

All Implemented Interfaces:
  `ResponseObjectBuilder`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class ResponseObjectBuilderImpl extends Object implements ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation for the `ResponseObjectBuilder` interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseObjectBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `DmgBuilderResponse`
  `handleAsyncResponse(MsgResponse asyncMsgResponse)`
  converts response to asynchronous business message to DmgBuilderResponse.
  `final DmgBuilderResponse`
  `handleSendResponseType(SendResponseType sendResponse)`
  Handles the response of the WS, checks the Xades and decode the content to create a `DmgBuilderResponse` object.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseObjectBuilderImpl

    public ResponseObjectBuilderImpl()

- ## Method Details

  - ### handleSendResponseType

    public final DmgBuilderResponse handleSendResponseType(SendResponseType sendResponse) throws TechnicalConnectorException
    Description copied from interface: `ResponseObjectBuilder`
    Handles the response of the WS, checks the Xades and decode the content to create a `DmgBuilderResponse` object.
    Specified by:
      `handleSendResponseType` in interface `ResponseObjectBuilder`
    Parameters:
      `sendResponse` - the response sent by the WS
    Returns:
      DmgResponse the response object built from the response of the WS, with a valid Xades and a decoded content
    Throws:
      `TechnicalConnectorException`
    See Also:
      - `ResponseObjectBuilder.handleSendResponseType(be.fgov.ehealth.globalmedicalfile.protocol.v1.SendResponseType)`

  - ### handleAsyncResponse

    public DmgBuilderResponse handleAsyncResponse(MsgResponse asyncMsgResponse) throws TechnicalConnectorException
    Description copied from interface: `ResponseObjectBuilder`
    converts response to asynchronous business message to DmgBuilderResponse. the list of these MsgResponses can be retrieved from the `GetResponse` return object with getResponse.getReturn().getMsgResponses().
    Specified by:
      `handleAsyncResponse` in interface `ResponseObjectBuilder`
    Parameters:
      `asyncMsgResponse` - `MsgResponse` to be converted.
    Returns:
    Throws:
      `TechnicalConnectorException`
    See Also:
      - `ResponseObjectBuilder.handleAsyncResponse(be.cin.nip.async.generic.MsgResponse)`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`